petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAlphaSetRadius

sets the desired spectral radius of the method (i.e. high-frequency numerical damping)

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAlphaSetRadius(TS ts,PetscReal radius)

Logically Collective on TS Many br

The algorithmic parameters \alpha_m and \alpha_f of the Many brgeneralized-\alpha method can be computed in terms of a specified Many brspectral radius \rho in [0,1] for infinite time step in order to Many br

### control high-frequency numerical damping

\alpha_m = 0.5*(3-\rho)/(1+\rho) Many br\alpha_f = 1/(1+\rho) Many br

### Input Parameter

| ts | - timestepping context Many br
| radius | - the desired spectral radius Many br

### Options Database

-ts_alpha_radius <radius> - Many br Many br

### See Also

TSAlphaSetParams(), TSAlphaGetParams()

Level:intermediate
Location:src/ts/impls/implicit/alpha/alpha1.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages